## ros-indigo-rocon-devices 0.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rocon_devices)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-rocon-devices (0.0.7-0trusty) trusty; urgency=high



 -- DongWook Lee <dwlee@yujinrobot.com>  Mon, 27 Jul 2015 15:00:00 -0000

ros-indigo-rocon-devices (0.0.6-0trusty) trusty; urgency=high



 -- DongWook Lee <dwlee@yujinrobot.com>  Wed, 22 Jul 2015 15:00:00 -0000

ros-indigo-rocon-devices (0.0.5-0trusty) trusty; urgency=high

  * update metapakcage
  * Contributors: Jihoon Lee

 -- DongWook Lee <dwlee@yujinrobot.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-devices (0.0.4-0trusty) trusty; urgency=high



 -- DongWook Lee <dwlee@yujinrobot.com>  Sun, 14 Jun 2015 15:00:00 -0000

ros-indigo-rocon-devices (0.0.3-0trusty) trusty; urgency=high



 -- DongWook Lee <dwlee@yujinrobot.com>  Thu, 04 Jun 2015 15:00:00 -0000

ros-indigo-rocon-devices (0.0.2-0trusty) trusty; urgency=high



 -- DongWook Lee <dwlee@yujinrobot.com>  Thu, 04 Jun 2015 15:00:00 -0000

ros-indigo-rocon-devices (0.0.1-0trusty) trusty; urgency=high

  * release preparation
  * rename rtsp_camera_driver to rocon_rtsp_camera_relay closes #33 <https://github.com/robotics-in-concert/rocon_devices/issues/33>
  * update package.xml to include all packages as run depend. closes #32 <https://github.com/robotics-in-concert/rocon_devices/issues/32>
  * a rocon_devices metapackage for releasing.
  * Contributors: DongWook Lee, Jihoon Lee, dwlee

 -- DongWook Lee <dwlee@yujinrobot.com>  Mon, 01 Jun 2015 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-devices
Section: misc
Priority: extra
Maintainer: DongWook Lee <dwlee@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/rocon_devices
Standards-Version: 3.9.2

Package: ros-indigo-rocon-devices
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rocon-hue, ros-indigo-rocon-iot-bridge, ros-indigo-rocon-ninjablock-bridge, ros-indigo-rocon-python-hue, ros-indigo-rocon-rtsp-camera-relay, ros-indigo-rocon-smartthings-bridge
Description: rocon devices meta package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-devices//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
